DeadDrop - Feature #8

Implement invites Client
07/18/2023 12:55 AM - Sancho Fock

Status: Closed Start date: 08/09/2023
Priority: Normal Due date: 08/09/2023
Assignee: Sancho Fock % Done: 100%
Category: Client Estimated time: 16:00 hours
Target version: 0.3.0

Description

Owners can invite others. Invites are similar to the share function, but in invites the client gets authorized with a particular role. Also
End2End Keys can be shared via invite. Invites are unique per client and authorized by the server including a password

Related issues:

Related to Feature #26: Share / Invite Drops by NFC New 04/04/2024 04/25/2024
Precedes Feature #27: Share / Invite Drops by NFC (iOS) Feedback 08/10/2023 08/10/2023
Precedes Feature #28: Share / Invite Drops by Bluetooth New 04/26/2024 05/17/2024
Follows Feature #4: Implement USER ROLES Closed 07/28/2023 07/29/2023
Precedes Feature #11: Implement Private secure Drops Backend Closed 10/03/2023 10/03/2023
Follows Feature #9: Implement Private Drops Backend Closed 08/07/2023 08/07/2023
Follows Feature #10: Implement Private Drops Client Closed 08/08/2023 08/08/2023
Precedes Support #37: Release 0.3.0 Closed 08/10/2023 08/10/2023
History

#1 - 07/18/2023 11:41 AM - Sancho Fock
- Due date set to 07/19/2023
- Start date changed from 07/18/2023 to 07/19/2023

- Follows Feature #7: Implement invites Backend added

#2 - 07/18/2023 11:42 AM - Sancho Fock

- Precedes Feature #10: Implement Private Drops Client added

#3 - 07/18/2023 12:48 PM - Sancho Fock
- Related to Feature #26: Share / Invite Drops by NFC added

#4 - 07/18/2023 12:48 PM - Sancho Fock
- Precedes Feature #27: Share / Invite Drops by NFC (iOS) added

#5 - 07/18/2023 12:49 PM - Sancho Fock
- Precedes Feature #28: Share / Invite Drops by Bluetooth added

#6 - 07/20/2023 02:10 AM - Sancho Fock

- Due date changed from 07/19/2023 to 08/01/2023

- Start date changed from 07/19/2023 to 08/01/2023

- Follows Feature #4: Implement USER ROLES added

#7 - 07/26/2023 11:47 PM - Sancho Fock
- Due date changed from 08/01/2023 to 08/02/2023
- Start date changed from 08/01/2023 to 08/02/2023

#8 - 07/26/2023 11:48 PM - Sancho Fock
- Due date changed from 08/02/2023 to 07/31/2023
- Start date changed from 08/02/2023 to 07/31/2023
#9 - 07/26/2023 11:52 PM - Sancho Fock
- Due date changed from 07/31/2023 to 08/02/2023
- Start date changed from 07/31/2023 to 08/02/2023

#10 - 07/26/2023 11:52 PM - Sancho Fock
- Due date changed from 08/02/2023 to 08/03/2023
- Start date changed from 08/02/2023 to 08/03/2023

#11 - 07/26/2023 11:59 PM - Sancho Fock
- Due date changed from 08/03/2023 to 08/04/2023
- Start date changed from 08/03/2023 to 08/04/2023

#12 - 07/27/2023 11:41 PM - Sancho Fock
- Due date changed from 08/04/2023 to 08/08/2023
- Start date changed from 08/04/2023 to 08/08/2023

#13 - 07/27/2023 11:43 PM - Sancho Fock

- Precedes Feature #11: Implement Private secure Drops Backend added

#14 - 07/28/2023 11:39 PM - Sancho Fock
- Due date changed from 08/08/2023 to 08/03/2023
- Start date changed from 08/08/2023 to 08/03/2023

#15 - 07/28/2023 11:47 PM - Sancho Fock
- Due date changed from 08/03/2023 to 08/01/2023
- Start date changed from 08/03/2023 to 08/01/2023

#16 - 07/28/2023 11:56 PM - Sancho Fock
- Due date changed from 08/01/2023 to 08/10/2023
- Start date changed from 08/01/2023 to 08/10/2023

#17 - 07/28/2023 11:57 PM - Sancho Fock
- Estimated time set to 16:00 h

#18 - 08/05/2023 11:36 PM - Sancho Fock

- Precedes Feature #9: Implement Private Drops Backend added

#19 - 08/06/2023 09:30 PM - Sancho Fock
- Due date changed from 08/10/2023 to 08/07/2023
- Start date changed from 08/10/2023 to 08/07/2023

#20 - 08/06/2023 09:31 PM - Sancho Fock

- Precedes deleted (Feature #9: Implement Private Drops Backend)

#21 - 08/06/2023 09:32 PM - Sancho Fock
- Due date changed from 08/07/2023 to 08/14/2023
- Start date changed from 08/07/2023 to 08/14/2023

- Follows Feature #9: Implement Private Drops Backend added

#22 - 08/06/2023 09:32 PM - Sancho Fock

- Follows deleted (Feature #7: Implement invites Backend)

#23 - 08/06/2023 09:33 PM - Sancho Fock
- Due date changed from 08/14/2023 to 08/08/2023
- Start date changed from 08/14/2023 to 08/08/2023

#24 - 08/06/2023 09:35 PM - Sancho Fock
- Due date changed from 08/08/2023 to 08/09/2023

#25 - 08/06/2023 09:37 PM - Sancho Fock

- Precedes deleted (Feature #10: Implement Private Drops Client)

#26 - 08/06/2023 09:38 PM - Sancho Fock
- Due date changed from 08/09/2023 to 08/14/2023
- Start date changed from 08/08/2023 to 08/11/2023

- Follows Feature #10: Implement Private Drops Client added

#27 - 08/06/2023 09:39 PM - Sancho Fock
- Due date changed from 08/14/2023 to 08/10/2023
- Start date changed from 08/11/2023 to 08/09/2023

#28 - 08/06/2023 09:40 PM - Sancho Fock
- Precedes Support #37: Release 0.3.0 added

#29 - 08/06/2023 11:57 PM - Sancho Fock
- % Done changed from 0 to 70

#30 - 08/07/2023 12:06 AM - Sancho Fock

- Status changed from New to In Progress

#31 - 08/07/2023 03:42 PM - Sancho Fock
- % Done changed from 70 to 80

#32 - 08/07/2023 11:15 PM - Sancho Fock
- Due date changed from 08/10/2023 to 08/09/2023
- Status changed from In Progress to Closed

- % Done changed from 80 to 100
